# DevConf Dojo 2022

This event report was written by Shaun McCance.

We held a [CentOS Dojo](https://www.devconf.info/us/) on August 17 at Boston University. This Dojo was colocated with [DevConf.US](https://www.devconf.info/us/). It was our first in-person event since the pandemic, and we tried to include remote participants. In addition to live streaming, we relayed questions from remote participants. The [recordings are available](https://www.youtube.com/watch?v=5usWZhLnJyA&list=PLuRtbOXpVDjDP1RLkzZmLbp699cCBnn47) on YouTube.

We had two talk lengths: long 40 minute talks and short 20 minute talks. This worked well in general, but we should consider tweaking the timing in the future. With one exception, the long talks all went over, ranging from 41 minutes to 51 minutes. (The exceptoin was one we deliberately put at the end because we didn't know how long it would take.) The short talks went both ways, ranging from 16 to 24 minutes. The short talks had 10 minutes between them, whereas the long talks had 5 minutes between them. I did this only to make everything line up on quarter hours. This could use adjustment in the future. We did, however, manage to finish on time.

We used the Terrace Lounge in the George Sherman Union at Boston University. This room worked very well for our needs. It was set up for 50 people in a classroom setup. It had a small entrance hallway where people could grab coffee and snacks without disturbing the talks, and it opened to an outdoor terrace where people could get fresh air.

We had optional (but strongly recommended) registration for in-person attendance, and we didn't check registrations at the door, so we don't know exactly how many people attended or how many walk-ins there were. I did periodic counts throughout the day. We usually had 20 to 25 people in the room, and probably had around 30 total people. Online participation had around 20 total people, with 10 to 15 online at any given time. We did a quick survey for online participants to get stickers mailed. That survey had 11 respondents.

The A/V setup was great. The HDMI feed from presenters' laptops was fed into a splitter so it appeared on-screen and was available for the live stream. There was a nice camera at the back of the room. The video feeds from the camera and the presenter were fed into a simple HDMI switch, which then gave us HDMI to plug into the streaming laptop. This allowed us to switch between a room view and the slides. Boston University provided us a laptop to use for streaming, but I used my personal laptop because I already had it logged into the right accounts. The audio from the presenters' mics was also added to the HDMI for the live stream. We should try to replicate this setup at future events, even if other venues don't provide all the equipment for us.

We streamed on YouTube. This was extremely easy to set up, easy to promote, and easy for people to join. I feel like it worked very well. However, there was a suggestion to use Hopin in the future. We've used Hopin for our all-virtual Dojos, and one of the nice things about it is that it gives remote participants a virtual hallway track where they can video chat, which is something we definitely lacked with the YouTube stream. On the other hand, a Hopin event requires more setup, and participants have to register. We should give serious thought to our streaming platform next time.

I'm overall very happy with the turnout, with the high quality of the talks, and with the audience engagement.
